libgta 1.2.1 Read and Write Generic Tagged Array (GTA) files

Classes | Namespaces | Enumerations
gta.hpp File Reference

The libgta C++ interface. More...

## Classes
class | gta::exception
| The exception class. More...
class | gta::taglist
| Tag Lists. More...
class | gta::custom_io
| Class for custom input/output. More...
class | gta::io_state
| State for element-based input and output. More...
class | gta::header
| The GTA header. More...

## Namespaces
namespace | gta
| The gta namespace.

## Enumerations
enum | gta::result { gta::ok = GTA_OK , gta::overflow = GTA_OVERFLOW , gta::unsupported_data = GTA_UNSUPPORTED_DATA , gta::unexpected_eof = GTA_UNEXPECTED_EOF , gta::invalid_data = GTA_INVALID_DATA , gta::system_error = GTA_SYSTEM_ERROR }
| GTA result. More...
enum | gta::type { gta::int8 = GTA_INT8 , gta::uint8 = GTA_UINT8 , gta::int16 = GTA_INT16 , gta::uint16 = GTA_UINT16 , gta::int32 = GTA_INT32 , gta::uint32 = GTA_UINT32 , gta::int64 = GTA_INT64 , gta::uint64 = GTA_UINT64 , gta::int128 = GTA_INT128 , gta::uint128 = GTA_UINT128 , gta::float32 = GTA_FLOAT32 , gta::float64 = GTA_FLOAT64 , gta::float128 = GTA_FLOAT128 , gta::cfloat32 = GTA_CFLOAT32 , gta::cfloat64 = GTA_CFLOAT64 , gta::cfloat128 = GTA_CFLOAT128 , gta::blob = GTA_BLOB }
| GTA data types. More...
enum | gta::compression { gta::none = GTA_NONE , gta::zlib = GTA_ZLIB , gta::zlib1 = GTA_ZLIB1 , gta::zlib2 = GTA_ZLIB2 , gta::zlib3 = GTA_ZLIB3 , gta::zlib4 = GTA_ZLIB4 , gta::zlib5 = GTA_ZLIB5 , gta::zlib6 = GTA_ZLIB6 , gta::zlib7 = GTA_ZLIB7 , gta::zlib8 = GTA_ZLIB8 , gta::zlib9 = GTA_ZLIB9 , gta::bzip2 = GTA_BZIP2 , gta::xz = GTA_XZ }
| GTA compression methods. More...

## Functions
Version information
const char * | gta::version ()
| Get the version string. More...
int | gta::version_major ()
| Get the major version number. More...
int | gta::version_minor ()
| Get the minor version number. More...
int | gta::version_patch ()
| Get the patch version number. More...

## Detailed Description

The libgta C++ interface.

This document describes the C++ language interface of libgta.